## rust-bindgen-0.71 0.71.1+dfsg0

=== debian/changelog ===
rust-bindgen-0.71 (0.71.1+dfsg0-0ubuntu0.1) noble; urgency=medium

  * Package bindgen 0.71.1 from crates.io using debcargo 2.7.11. (LP: #2126037)
  * Drop unused vendored sources.
  * Update debian/copyright.
  * Install bindgen in /usr/lib/bindgen-0.71/bin, add a versioned
    symlink to /usr/bin.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Dec 2025 10:43:26 +0200
