=== debian/control ===
Source: rust-bindgen-0.71
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-cargo,
 cargo:native,
 rustc:native,
 clang-20,
 llvm-20,
 lld-20,
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Timo Aaltonen <timo.aaltonen@canonical.com>
XS-Vendored-Sources-Rust: aho-corasick@1.1.3, annotate-snippets@0.11.4, anstyle@1.0.10, autocfg@1.4.0, bitflags@1.3.2, bitflags@2.2.1, block@0.1.6, cc@1.2.2, cexpr@0.6.0, cfg-if@1.0.0, clang-sys@1.8.1, clap@4.1.4, clap_complete@4.2.0, clap_derive@4.1.0, clap_lex@0.3.1, either@1.13.0, env_logger@0.10.0, env_logger@0.8.4, errno@0.3.10, fastrand@1.9.0, getrandom@0.2.15, glob@0.3.1, heck@0.4.1, humantime@2.1.0, instant@0.1.12, io-lifetimes@1.0.11, is-terminal@0.4.13, itertools@0.13.0, libc@0.2.167, libloading@0.8.6, linux-raw-sys@0.3.8, log@0.4.22, malloc_buf@0.0.6, memchr@2.7.4, minimal-lexical@0.2.1, nom@7.1.3, once_cell@1.20.2, os_str_bytes@6.4.1, owo-colors@4.1.0, prettyplease@0.2.25, proc-macro-error-attr@1.0.4, proc-macro-error@1.0.4, proc-macro2@1.0.92, quickcheck@1.0.3, quote@1.0.37, rand@0.8.5, rand_core@0.6.4, redox_syscall@0.3.5, regex-automata@0.4.9, regex-syntax@0.8.5, regex@1.11.1, rustc-hash@2.1.0, rustix@0.37.27, shlex@1.3.0, similar@2.6.0, strsim@0.10.0, syn@1.0.109, syn@2.0.90, tempfile@3.6.0, termcolor@1.2.0, unicode-ident@1.0.14, unicode-width@0.1.14, version_check@0.9.4, wasi@0.11.0+wasi-snapshot-preview1
X-Cargo-Crate: bindgen-cli
Standards-Version: 4.6.2
Homepage: https://rust-lang.github.io/rust-bindgen/
Rules-Requires-Root: no

Package: bindgen-0.71
Architecture: any
Multi-Arch: allowed
Depends:
 libclang-20-dev,
 rustc,
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 bindgen (= ${binary:Version}),
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Automatically generates Rust FFI bindings to C and C++ libraries
 bindgen-cli can automatically generate Rust FFI bindings to C and
 C++ libraries.
 The executable and the binary package are named bindgen-0.71.
 .
 This package is used for building Mesa.
